<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".feature.shipping.ShippingActivity"
    android:layoutDirection="rtl">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white">

        <com.sajjad.nikestore.view.NikeToolbar
            android:id="@+id/nike_toolbar"
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            app:nt_title="@string/shipping_toolbar_title" />
    </com.google.android.material.appbar.AppBarLayout>


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="com.google.android.material.appbar.AppBarLayout$ScrollingViewBehavior">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="32dp"
            android:clipToPadding="false">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/first_name_etl"
                style="@style/shippingTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/first_name_edt"
                    style="@style/shippingTextInputEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="سجاد"
                    android:hint="@string/first_name" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/last_name_etl"
                style="@style/shippingTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/last_name_edt"
                    style="@style/shippingTextInputEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="علیزاده"
                    android:hint="@string/last_name" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/postal_code_etl"
                style="@style/shippingTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/postal_code_edt"
                    style="@style/shippingTextInputEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:maxLength="10"
                    android:text="1234567895"
                    android:hint="@string/postal_code" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/phone_number_etl"
                style="@style/shippingTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/phone_number_edt"
                    style="@style/shippingTextInputEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:maxLength="11"
                    android:text="09215269711"
                    android:hint="@string/phone_number" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/address_etl"
                style="@style/shippingTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/address_edt"
                    style="@style/shippingTextInputEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/address"
                    android:text="asdasdasdasdasdasdasdasdasdasdasdasdasd"
                    />

            </com.google.android.material.textfield.TextInputLayout>

            <include
                android:id="@+id/purchase_detail"
                layout="@layout/item_purchase_detail"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginTop="8dp"
                />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="16dp"
                android:orientation="horizontal">

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/online_payment_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="8dp"
                    android:text="@string/online_payment" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/cod_btn"
                    style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:text="@string/cash_on_delivery" />
            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


</androidx.coordinatorlayout.widget.CoordinatorLayout>